<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|		  Plugin ConvertPan 1.1			|
\***************************************/

## Crée des images normales plus hautes pour les panoramas (utilisation des paMOOrama par exemple)
## Crée des miniatures rognées pour ne pas avoir de minuscules images

$NAMEpanorama = $CONF['Plugins']['convert_pan']['NAMEpanorama']; // Suffixe des panoramas
$DIMpanorama = $CONF['Plugins']['convert_pan']['DIMpanorama']; // Hauteur des panoramas normaux
$RatioPanThumb = $CONF['Plugins']['convert_pan']['RatioPanThumb']; // Ratio des miniatures

if (strpos($FileName, $NAMEpanorama) !== false) {
	if (!isset($BlockNormal) AND $DIMpanorama != 0) { 
		exec('files\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMpanorama.' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
		$BlockNormal = true;
	}
	
	if (!isset($BlockThumbnail) AND $RatioPanThumb != 0) { 
		$DIMthumbnailV = $CONF['DIMthumbnail']/$CONF['Plugins']['convert_pan']['RatioPanThumb'];
		
		// on prend la miniature au milieu du panorama
		$tmp_x = $FileInfos['Width'] * $DIMthumbnailV / $FileInfos['Height'];
		$offset_x = ($tmp_x - $CONF['DIMthumbnail']) / 2;
		
		exec('files\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMthumbnailV.' -crop '.$offset_x.' 0 '.$CONF['DIMthumbnail'].' '.$DIMthumbnailV.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
		$BlockThumbnail = true;
	}
}
?>