<?php
switch ($PLUGIN_ACTION) {
	// Affichage simple de la configuration
	case 'read_config':
		load_plugin_lang('create_custom_thumbs');
		
		$plugin_config['FRAMEparams']['color1'] = nice_hex_color($plugin_config['FRAMEparams']['color1']);
		$plugin_config['FRAMEparams']['color2'] = nice_hex_color($plugin_config['FRAMEparams']['color2']);
		
		$PAGE_CONTENT[0] .= '<table>
			<tr>
				<td>'.l10n('create_custom_thumbs.DIMthumbnailV').' :</td>
				<td>'.bool_to_string($plugin_config['DIMthumbnailV']).'</td>
			</tr>
			<tr>
				<td>'.l10n('create_custom_thumbs.FRAMEparams').' 1 :</td>
				<td>
					#'.$plugin_config['FRAMEparams']['color1'].'
					<span class="color-display" style="background-color:#'.nice_hex_color($plugin_config['FRAMEparams']['color1']).';">&nbsp;</span>
					'.$plugin_config['FRAMEparams']['size1'].'px
				</td>
			</tr>
			<tr>
				<td>'.l10n('create_custom_thumbs.FRAMEparams').' 2 :</td>
				<td>
					#'.$plugin_config['FRAMEparams']['color2'].'
					<span class="color-display" style="background-color:#'.nice_hex_color($plugin_config['FRAMEparams']['color2']).';">&nbsp;</span>
					'.$plugin_config['FRAMEparams']['size2'].'px
				</td>
			</tr>
		</table>';
		break;
	
	
	// Actions avant enregistrement
	case 'save_config':
		$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color1'] = str_replace('#','', $_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color1']);
		$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color2'] = str_replace('#','', $_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color2']);
		
		if (!is_decimal($_POST['Plugins']['create_custom_thumbs']['DIMthumbnailV'])) {
			$_POST['Plugins']['create_custom_thumbs']['DIMthumbnailV'] = 0;
			$Errors['ErrorConfig'] = 'notice';
		}
		if (!is_decimal($_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size1'])) {
			$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size1'] = 0;
			$Errors['ErrorConfig'] = 'notice';
		}
		if (!is_decimal($_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size2'])) {
			$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size2'] = 0;
			$Errors['ErrorConfig'] = 'notice';
		}
		
		break;

		
	// Formulaire d'dition
	case 'edit_config':
		load_plugin_lang('create_custom_thumbs');

		$plugin_config['FRAMEparams']['color1'] = nice_hex_color($plugin_config['FRAMEparams']['color1']);
		$plugin_config['FRAMEparams']['color2'] = nice_hex_color($plugin_config['FRAMEparams']['color2']);
		
		$PAGE_CONTENT[0] .='<table>
			<tr>
				<td>'.l10n('create_custom_thumbs.DIMthumbnailV').' :</td>
				<td>
					<input type="text" name="Plugins[create_custom_thumbs][DIMthumbnailV]" value="'.$plugin_config['DIMthumbnailV'].'" size="3"/>
					<i>'.l10n('create_custom_thumbs.unactive').'</i>
				</td>
			</tr>
			<tr>
				<td>'.l10n('create_custom_thumbs.FRAMEparams').' 1 :</td>
				<td>
					<input type="text" id="CCT-color1" name="Plugins[create_custom_thumbs][FRAMEparams][color1]" value="'.$plugin_config['FRAMEparams']['color1'].'" size="6"/>
					<input type="text" name="Plugins[create_custom_thumbs][FRAMEparams][size1]" value="'.$plugin_config['FRAMEparams']['size1'].'" size="1"/>px
					<i>'.l10n('create_custom_thumbs.unactive').'</i>
				</td>
			</tr>
			<tr>
				<td>'.l10n('create_custom_thumbs.FRAMEparams').' 2 :</td>
				<td>
					<input type="text" id="CCT-color2" name="Plugins[create_custom_thumbs][FRAMEparams][color2]" value="'.$plugin_config['FRAMEparams']['color2'].'" size="6"/>
					<input type="text" name="Plugins[create_custom_thumbs][FRAMEparams][size2]" value="'.$plugin_config['FRAMEparams']['size2'].'" size="1"/>px
					<i>'.l10n('create_custom_thumbs.unactive').'</i>
				</td>
			</tr>
			<script type="text/javascript">
				$("#CCT-color1").ColorPicker({
					onSubmit: function(hsb, hex, rgb, el) { $(el).val(hex); $(el).ColorPickerHide(); },
					onChange: function(hsb, hex, rgb, el) { $("#CCT-color1").val(hex); },
					onBeforeShow: function () { $(this).ColorPickerSetColor(this.value); }
				}) .bind("keyup", function(){ $(this).ColorPickerSetColor(this.value); });
				$("#CCT-color2").ColorPicker({
					onSubmit: function(hsb, hex, rgb, el) { $(el).val(hex); (el).ColorPickerHide(); },
					onChange: function(hsb, hex, rgb, el) { $("#CCT-color2").val(hex); },
					onBeforeShow: function () { $(this).ColorPickerSetColor(this.value); }
				}) .bind("keyup", function(){ $(this).ColorPickerSetColor(this.value); });
			</script>
		</table>';
		break;
} 
?>