<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|	  Plugin Front2Back Support 1.1		|
\***************************************/

## Déplace les versions alternatives dans 'thumbnail/verso'
## Crée la version alternative hd dans 'pwg_high/verso'
## Supprime le suffixe et déplace aussi les fichiers du repertoire source

$NAMEverso = $CONF['Plugins']['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
$MOVEverso = $CONF['Plugins']['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'

if (strpos($FileName, $NAMEverso) !== false) {
	$FileNameClean = str_replace($NAMEverso, '', $FileName);
	
	// Image normale
	if (!file_exists($FileFolder.'thumbnail/verso')) {
		mkdir($FileFolder.'thumbnail/verso');
	}
	exec('files\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.'thumbnail/verso/'.$FileNameClean.'" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
	
	// Image hd
	if ($CONF['DIRhighORNOT']) {
		if (!file_exists($FileFolder.'pwg_high/verso')) {
			mkdir($FileFolder.'pwg_high/verso');
		}
		if ($CONF['DIMhdORNOT']) {
			exec('files\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/verso/'.$FileNameClean.'" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
		} else {
			copy($FilesSource[$i], $FileFolder.'pwg_high/verso/'.$FileNameClean);
		}
	}
	
	// Déplacement de l'image originale
	if ($MOVEverso) {
		$FileFolderSource = str_replace($CONF['DIRsortie'], $CONF['DIRsource'], $FileFolder);
		if (!file_exists($FileFolderSource.'verso')) {
			mkdir($FileFolderSource.'verso', 0777, true);
		}
		rename($FileFolderSource.$FileName, $FileFolderSource.'verso/'.$FileNameClean);
	}
	
	$BlockNormal = true;
	$BlockThumbnail = true;
	$BlockHigh = true;
}
?>